Your message dated Wed, 07 Mar 2018 16:36:44 +0000
with message-id <e1etc3y-0005za...@fasolo.debian.org>
and subject line Bug#745771: fixed in util-linux 2.31.1-0.5
has caused the Debian Bug report #745771,
regarding util-linux: Please enable audit support
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
745771: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=745771
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: util-linux
Version: 2.20.1-5.7
Severity: wishlist

Hi,

It would be nice if the audit support in util-linux could be enabled.

The attached patch enable the support.

Cheers,

Laurent Bigonville

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.13-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -u util-linux-2.20.1/debian/control util-linux-2.20.1/debian/control
--- util-linux-2.20.1/debian/control
+++ util-linux-2.20.1/debian/control
@@ -1,5 +1,5 @@
 Source: util-linux
-Build-Depends: libncurses5-dev, libslang2-dev (>=2.0.4), gettext, zlib1g-dev, dpkg-dev (>=1.16.0), libselinux1-dev [linux-any], debhelper (>=5), lsb-release, pkg-config, po-debconf, autoconf, automake, autopoint, libtool
+Build-Depends: libncurses5-dev, libslang2-dev (>=2.0.4), gettext, zlib1g-dev, dpkg-dev (>=1.16.0), libselinux1-dev [linux-any], debhelper (>=5), lsb-release, pkg-config, po-debconf, autoconf, automake, autopoint, libtool, libaudit-dev
 Section: base
 Priority: required
 Uploaders: Scott James Remnant <sc...@ubuntu.com>, Adam Conrad <adcon...@0c3.net>
diff -u util-linux-2.20.1/debian/rules util-linux-2.20.1/debian/rules
--- util-linux-2.20.1/debian/rules
+++ util-linux-2.20.1/debian/rules
@@ -36,7 +36,7 @@
 CONFOPTS= --enable-raw --enable-rdev --with-slang --enable-ddate --enable-line
 CONFOPTS += --libdir=/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFOPTS += --with-selinux --enable-libmount-mount --enable-partx
+CONFOPTS += --with-selinux --enable-libmount-mount --enable-partx --with-audit
 endif
 
 build: build-arch build-indep

--- End Message ---
--- Begin Message ---
Source: util-linux
Source-Version: 2.31.1-0.5

We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 745...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <car...@debian.org> (supplier of updated util-linux 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 06 Mar 2018 22:31:39 +0100
Source: util-linux
Binary: util-linux util-linux-locales mount bsdutils fdisk fdisk-udeb libblkid1 
libblkid1-udeb libblkid-dev libfdisk1 libfdisk1-udeb libfdisk-dev libmount1 
libmount1-udeb libmount-dev libsmartcols1 libsmartcols1-udeb libsmartcols-dev 
libuuid1 uuid-runtime libuuid1-udeb uuid-dev util-linux-udeb setpriv rfkill
Architecture: source
Version: 2.31.1-0.5
Distribution: unstable
Urgency: medium
Maintainer: LaMont Jones <lam...@debian.org>
Changed-By: Salvatore Bonaccorso <car...@debian.org>
Closes: 745771 892179
Description: 
 bsdutils   - basic utilities from 4.4BSD-Lite
 fdisk      - collection of partitioning utilities
 fdisk-udeb - Manually partition a hard drive (fdisk) (udeb)
 libblkid-dev - block device ID library - headers and static libraries
 libblkid1  - block device ID library
 libblkid1-udeb - stripped down block device ID library, for debian-installer 
(udeb)
 libfdisk-dev - fdisk partitioning library - headers and static libraries
 libfdisk1  - fdisk partitioning library
 libfdisk1-udeb - stripped down fdisk partitioning library, for 
debian-installer (udeb)
 libmount-dev - device mounting library - headers and static libraries
 libmount1  - device mounting library
 libmount1-udeb - stripped down device mounting library, for debian-installer 
(udeb)
 libsmartcols-dev - smart column output alignment library - headers and static 
librar
 libsmartcols1 - smart column output alignment library
 libsmartcols1-udeb - stripped down smart column output aligment library, for 
debian-in (udeb)
 libuuid1   - Universally Unique ID library
 libuuid1-udeb - stripped down Universally Unique ID library, for 
debian-installer (udeb)
 mount      - tools for mounting and manipulating filesystems
 rfkill     - tool for enabling and disabling wireless devices
 setpriv    - tool to run a program with different Linux privilege settings
 util-linux - miscellaneous system utilities
 util-linux-locales - locales files for util-linux
 util-linux-udeb - stripped down miscellaneous system utilities, for 
debian-installe (udeb)
 uuid-dev   - Universally Unique ID library - headers and static libraries
 uuid-runtime - runtime components for the Universally Unique ID library
Changes:
 util-linux (2.31.1-0.5) unstable; urgency=medium
 .
   * Non-maintainer upload.
 .
   [ Laurent Bigonville ]
   * debian/rules: Enable SMACK support for libmount
   * Enable audit support (Closes: #745771)
 .
   [ Salvatore Bonaccorso ]
   * bash-completion: (umount) use findmnt, escape a space in paths.
     (CVE-2018-7738)
     Fixes "code execution in bash-completion for umount". (Closes: #892179)
Checksums-Sha1: 
 725360ea1dd6cafab53cd6cb47b820b6fe246db9 4181 util-linux_2.31.1-0.5.dsc
 af698313de08817f24fbf6b899105946a429da76 87512 
util-linux_2.31.1-0.5.debian.tar.xz
Checksums-Sha256: 
 d67c1bc851f0dd5028387671940b5904fabad2cb24e98eeb4a755fce7e82d317 4181 
util-linux_2.31.1-0.5.dsc
 a0b049065431f8c9455fbe7276b8ca7cdf020cff0329cd1f050ee1fb380432ee 87512 
util-linux_2.31.1-0.5.debian.tar.xz
Files: 
 4f132982232dd39c252f03175e19a6c3 4181 base required util-linux_2.31.1-0.5.dsc
 9a16b5741bd41c3938586e1c123fab04 87512 base required 
util-linux_2.31.1-0.5.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQKmBAEBCgCQFiEERkRAmAjBceBVMd3uBUy48xNDz0QFAlqfiN5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDQ2
NDQ0MDk4MDhDMTcxRTA1NTMxRERFRTA1NENCOEYzMTM0M0NGNDQSHGNhcm5pbEBk
ZWJpYW4ub3JnAAoJEAVMuPMTQ89EQaEP/2hMnxx0hkQ9rhGQXmAt0LXsdnLLka0o
93JKtW0TmCKDh9Bfm+SP1W/BWu7jYDDpm/O1cAv7+H/4hCraG3q0ZXyjoUP6u7gR
7bXUnEeDEVectjfQMyIhcaY50UoMog8dyH8O1EOt9gPRmbbxYrkXQK6iJPZslCt+
gV06FZQ5yuCWL2oCfL7udisRO7VdbUrv61VkY0t9pYsSTfjZAT1FA3YCCbQ7m4me
jOpEDPHFt7SbXGTPVfbr6izvm+XmPBtZtWo1NjsOwNRfqCxN4PBjP2YFmIcmXyJE
OR+jUvZz8VWvonbomTr/jNcgbKh3oLKojsLMzJOkFuO+u4YiR1qGzV7TBOkl77EM
+0xGKKOcms5kZDU/YHXK7ObZslCfvVWlKHcbASCsj+IihNyrqDiExL89uQ/X99jj
oi9nhGe5Jdfdw1l7x7kgISzpWhBEZ4eYxAMPsPrEzAInZF12abaJ2trRs285QlS6
zrot5wD5UKjBmggijj5IWSgJgDFiP6pJL4MnCleNxwOCWbBbgvwr+Cho86aH45AQ
ufNhlBpqp0xgfU46YVOcVk5Z3UTbY0Vtli9z+aeOnWGWBDJeYTdvcyO6pj5XQwD3
DlCRH24UZsLmpDavBcNKjXf4um6xbl0nxDgAMfXwhor9cpi1YqVzAEInGcnpK30o
dOlWnSG1eTBB
=qoQ3
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to